## org.apache.hadoop.metrics2.sink
Class FileSink

    java.lang.Object
      org.apache.hadoop.metrics2.sink.FileSink

All Implemented Interfaces:
  MetricsPlugin, MetricsSink

    public class FileSink

extends Object
implements MetricsSink

Constructor Summary
`FileSink()`

Method Summary
`void` `flush()` Flush any buffered metrics
`void` `init(org.apache.commons.configuration.SubsetConfiguration conf)` Initialize the plugin
`void` `putMetrics(MetricsRecord record)` Put a metrics record in the sink

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSink

    public FileSink()

Method Detail

### init

    public void init(org.apache.commons.configuration.SubsetConfiguration conf)

  Description copied from interface: `MetricsPlugin`
  Initialize the plugin

  Specified by:
    `init` in interface `MetricsPlugin`
  Parameters:
    `conf` - the configuration object for the plugin

### putMetrics

    public void putMetrics(MetricsRecord record)

  Description copied from interface: `MetricsSink`
  Put a metrics record in the sink

  Specified by:
    `putMetrics` in interface `MetricsSink`
  Parameters:
    `record` - the record to put

### flush

    public void flush()

  Description copied from interface: `MetricsSink`
  Flush any buffered metrics

  Specified by:
    `flush` in interface `MetricsSink`

Copyright © 2009 The Apache Software Foundation